Sign me up Login

Details about package siconos

Name: siconos (PTS)
Uploader: Stephen Sinclair <radarsat1@gmail.com> (Debian QA page)
Description: siconos - modeling and simulation of nonsmooth dynamical systems (simulation runner tool)
siconos-mechanics-tools - modeling and simulation of nonsmooth dynamical systems (mechanics tools)
libsiconos-numerics6 - modeling and simulation of nonsmooth dynamical systems (numerics lib)
libsiconos-numerics-dev - modeling and simulation of nonsmooth dynamical systems (numerics dev)
libsiconos-kernel6 - modeling and simulation of nonsmooth dynamical systems (kernel lib)
libsiconos-kernel-dev - modeling and simulation of nonsmooth dynamical systems (kernel dev)
libsiconos-control6 - modeling and simulation of nonsmooth dynamical systems (control lib)
libsiconos-control-dev - modeling and simulation of nonsmooth dynamical systems (control dev)
libsiconos-mechanics6 - modeling and simulation of nonsmooth dynamical systems (mechanics lib)
libsiconos-mechanics-dev - modeling and simulation of nonsmooth dynamical systems (mechanics dev)
libsiconos-io6 - modeling and simulation of nonsmooth dynamical systems (io lib)
libsiconos-io-dev - modeling and simulation of nonsmooth dynamical systems (io dev)
python3-siconos - modeling and simulation of nonsmooth dynamical systems (python3)

Package uploads

Upload #1

Information

Version: 4.3.1+dfsg-1
Uploaded: 2020-12-14 17:14
Source package: siconos_4.3.1+dfsg-1.dsc
Distribution: unstable
Section: science
Priority: optional
Homepage: https://nonsmooth.gricad-pages.univ-grenoble-alpes.fr/siconos/index.html
Vcs-Browser: https://salsa.debian.org/science-team/siconos
Vcs-Git: https://salsa.debian.org/science-team/siconos.git

Changelog

 siconos (4.3.1+dfsg-1) unstable; urgency=medium
 .
   * New upstream release.
   * Rebase patches:
     + Remove upstreamed patch to FindLAPACK.cmake.
   * Update policy version 4.5.1.
   * Update debhelper version 13.
   * Add missing symbols for numerics.
   * Change architecture for siconos and siconos-mechanics-tools to all.
   * Add debian/upstream/metadata.
   * Replace debian/compat with debhelper-compat package.

QA information

Comments

  1. Not sure about the newer-standards-version warning, policy manual seems to be currently at 4.5.1 or am I mistaken?
    Stephen Sinclair at Dec. 14, 2020, 5:24 p.m.